import request from '@/utils/request'

// 查询工程资料统计列表
export function proMaterialStatistic(query) {
  return request({
    url: '/project/proMaterialManagement/list',
    method: 'get',
    params: query
  })
}

// 查询具体工程资料列表
export function specificProMaterial(query) {
  return request({
    url: '/project/proMaterialManagement/material',
    method: 'get',
    params: query
  })
}

// 上传材料
export function engineeringMaterialUpload(data) {
  return request({
    url: '/project/proMaterialManagement/engineeringMaterialUpload',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  });
}

// 删除工程资料
export function delMaterials(id) {
  return request({
    url: '/project/proMaterialManagement/' + id,
    method: 'delete'
  })
}
